Skip to main content
GET
/
v1
/
calls
/
{id}
Get call detail
curl --request GET \
  --url https://api.mivicall.com/v1/calls/{id} \
  --header 'Authorization: Bearer <token>'
{
  "call": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fromNumber": "+351912345678",
    "toNumber": "+351912004471",
    "status": "completed",
    "startedAt": "2023-11-07T05:31:56Z",
    "telnyxCallControlId": "<string>",
    "outcome": "booking_created",
    "endedAt": "2023-11-07T05:31:56Z",
    "durationSeconds": 123,
    "transcriptionWordCount": 123,
    "metadata": {},
    "recordingUrl": "<string>",
    "recordingExpiresAt": "2023-11-07T05:31:56Z"
  },
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "speech",
      "sequence": 123,
      "transcript": "<string>",
      "toolName": "<string>",
      "toolInput": {},
      "toolOutput": {},
      "occurredAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mivicall.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key no header Authorization: Bearer miv_live_.... Gere keys em Settings → Integrations.

Path Parameters

id
string<uuid>
required

Response

Detalhe da chamada

call
object
events
object[]